This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1251833 - Review Request: rubygem-pdfkit - HTML+CSS to PDF using wkhtmltopdf
Review Request: rubygem-pdfkit - HTML+CSS to PDF using wkhtmltopdf
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: František Dvořák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 02:04 EDT by Mamoru TASAKA
Modified: 2015-08-14 04:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-14 04:21:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
valtri: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2015-08-10 02:04:11 EDT
Spec URL: https://mtasaka.fedorapeople.org/Review_request/gem-related/rubygem-pdfkit.spec
SRPM URL: https://mtasaka.fedorapeople.org/Review_request/gem-related/rubygem-pdfkit-0.7.0-2.fc.src.rpm
Description: 
Create PDFs using plain old HTML+CSS. Uses wkhtmltopdf
on the back-end which renders HTML using Webkit.

Fedora Account System Username: mtasaka
Comment 1 František Dvořák 2015-08-10 12:05:16 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 1 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
     OK, in generated docs.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
     OK: ruby -e "require 'pdfkit/version'; p PDFKit::VERSION"
[!]: Latest version is packaged.
     New version 0.8.0 recently.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
[x]: Gem package should exclude cached Gem.
[x]: Gem should use %gem_install macro.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-pdfkit-0.7.0-2.fc24.noarch.rpm
          rubygem-pdfkit-doc-0.7.0-2.fc24.noarch.rpm
          rubygem-pdfkit-0.7.0-2.fc24.src.rpm
rubygem-pdfkit.src: W: strange-permission pdfkit-0.7.0.gem 600
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
rubygem-pdfkit-doc.noarch: W: invalid-url URL: https://github.com/pdfkit/pdfkit <urlopen error [Errno -5] No address associated with hostname>
rubygem-pdfkit.noarch: W: invalid-url URL: https://github.com/pdfkit/pdfkit <urlopen error [Errno -5] No address associated with hostname>
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

(Just naughty mock, all OK.)


Requires
--------
rubygem-pdfkit-doc (rpmlib, GLIBC filtered):
    rubygem-pdfkit

rubygem-pdfkit (rpmlib, GLIBC filtered):
    ruby(rubygems)
    wkhtmltopdf



Provides
--------
rubygem-pdfkit-doc:
    rubygem-pdfkit-doc

rubygem-pdfkit:
    rubygem(pdfkit)
    rubygem-pdfkit



Source checksums
----------------
https://rubygems.org/gems/pdfkit-0.7.0.gem :
  CHECKSUM(SHA256) this package     : 46dcd4740f5c9370d69e935f67471984c86a9b2a0d81eb26d1d526a6ca5e6321
  CHECKSUM(SHA256) upstream package : 46dcd4740f5c9370d69e935f67471984c86a9b2a0d81eb26d1d526a6ca5e6321


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1251833
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

=========

Minor issues:

1) rpmlint: rubygem-pdfkit.src: W: strange-permission pdfkit-0.7.0.gem 600
This can be fixed during import to git.

2) new version 0.8.0 released in the meantime

There is also new simplecov dependency in 0.8.0 sources and new tests... but that could be solved post review.

Package APPROVED!
Comment 2 Mamoru TASAKA 2015-08-11 03:52:09 EDT
Okay, thank you! I will update to 0.8.0 when importing.

New Package SCM Request
=======================
Package Name: rubygem-pdfkit
Short Description: HTML+CSS to PDF using wkhtmltopdf
Upstream URL: https://github.com/pdfkit/pdfkit
Owners: mtasaka
Branches: f23 f22 f21
InitialCC:
Comment 3 Gwyn Ciesla 2015-08-11 09:03:56 EDT
Git done (by process-git-requests).
Comment 4 Mamoru TASAKA 2015-08-14 04:21:23 EDT
Successfully built, push requested on bodhi.

Thank you for review and git process, closing.

Note You need to log in before you can comment on or make changes to this bug.